From 69769b8ebaaeca84a5188330f80c460dcc0fa747 Mon Sep 17 00:00:00 2001
From: Eric Naim <dnaim@cachyos.org>
Date: Fri, 24 Jan 2025 19:34:24 +0700
Subject: [PATCH] Enable atomic kernel modesetting by default

This is required for proper functionality under Wayland. fbdev has been default enabled since 570 so that
hunk can be removed from this patch.

Signed-off-by: Eric Naim <dnaim@cachyos.org>
---
 nvidia-drm/nvidia-drm-linux.c        | 2 +-
 nvidia-drm/nvidia-drm-os-interface.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/nvidia-drm/nvidia-drm-linux.c b/nvidia-drm/nvidia-drm-linux.c
index 0007cbf..bd0b9eb 100644
--- a/nvidia-drm/nvidia-drm-linux.c
+++ b/nvidia-drm/nvidia-drm-linux.c
@@ -31,7 +31,7 @@
 
 MODULE_PARM_DESC(
     modeset,
-    "Enable atomic kernel modesetting (1 = enable, 0 = disable (default))");
+    "Enable atomic kernel modesetting (1 = enable (default), 0 = disable)");
 module_param_named(modeset, nv_drm_modeset_module_param, bool, 0400);
 
 #if defined(NV_DRM_FBDEV_AVAILABLE)
diff --git a/nvidia-drm/nvidia-drm-os-interface.c b/nvidia-drm/nvidia-drm-os-interface.c
index 7617476..f22afd7 100644
--- a/nvidia-drm/nvidia-drm-os-interface.c
+++ b/nvidia-drm/nvidia-drm-os-interface.c
@@ -41,7 +41,7 @@
 #include <drm/drmP.h>
 #endif
 
-bool nv_drm_modeset_module_param = false;
+bool nv_drm_modeset_module_param = true;
 bool nv_drm_fbdev_module_param = true;
 
 void *nv_drm_calloc(size_t nmemb, size_t size)
-- 
2.48.1

